Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network239.0.0.0/10
Usable hosts4,194,302
Subnet mask255.192.0.0
Addresses4,194,304
Network address
239.0.0.0
Broadcast address
239.63.255.255
First usable
239.0.0.1
Last usable
239.63.255.254
Usable hosts
4,194,302 (4,194,304 less the network and broadcast addresses)
Subnet mask
255.192.0.0
Wildcard mask
0.63.255.255 (Cisco ACLs, OSPF)
Prefix length
/10
Type
Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols
Old class
D (multicast)
As numbers
Hex EF000000 · Integer 4009754624 to 4013948927
Reverse DNS zones
0.239.in-addr.arpa
1.239.in-addr.arpa
2.239.in-addr.arpa
3.239.in-addr.arpa
4.239.in-addr.arpa
5.239.in-addr.arpa
6.239.in-addr.arpa
7.239.in-addr.arpa
8.239.in-addr.arpa
9.239.in-addr.arpa
10.239.in-addr.arpa
11.239.in-addr.arpa
12.239.in-addr.arpa
13.239.in-addr.arpa
14.239.in-addr.arpa
15.239.in-addr.arpa
and 48 more
/10 is not on a 8-bit boundary, so it takes 64 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11101111.00000000.00000000.00000000239.0.0.0
Subnet mask11111111.11000000.00000000.00000000255.192.0.0
Network11101111.00000000.00000000.00000000239.0.0.0
Broadcast11101111.00111111.11111111.11111111239.63.255.255
Split into smaller subnets/22

239.0.0.0/10 makes 4,096 subnets of /22; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1239.0.0.0/22239.0.0.1 to 239.0.3.254239.0.3.2551,022
2239.0.4.0/22239.0.4.1 to 239.0.7.254239.0.7.2551,022
3239.0.8.0/22239.0.8.1 to 239.0.11.254239.0.11.2551,022
4239.0.12.0/22239.0.12.1 to 239.0.15.254239.0.15.2551,022
5239.0.16.0/22239.0.16.1 to 239.0.19.254239.0.19.2551,022
6239.0.20.0/22239.0.20.1 to 239.0.23.254239.0.23.2551,022
7239.0.24.0/22239.0.24.1 to 239.0.27.254239.0.27.2551,022
8239.0.28.0/22239.0.28.1 to 239.0.31.254239.0.31.2551,022
9239.0.32.0/22239.0.32.1 to 239.0.35.254239.0.35.2551,022
10239.0.36.0/22239.0.36.1 to 239.0.39.254239.0.39.2551,022
11239.0.40.0/22239.0.40.1 to 239.0.43.254239.0.43.2551,022
12239.0.44.0/22239.0.44.1 to 239.0.47.254239.0.47.2551,022
13239.0.48.0/22239.0.48.1 to 239.0.51.254239.0.51.2551,022
14239.0.52.0/22239.0.52.1 to 239.0.55.254239.0.55.2551,022
15239.0.56.0/22239.0.56.1 to 239.0.59.254239.0.59.2551,022
16239.0.60.0/22239.0.60.1 to 239.0.63.254239.0.63.2551,022
17239.0.64.0/22239.0.64.1 to 239.0.67.254239.0.67.2551,022
18239.0.68.0/22239.0.68.1 to 239.0.71.254239.0.71.2551,022
19239.0.72.0/22239.0.72.1 to 239.0.75.254239.0.75.2551,022
20239.0.76.0/22239.0.76.1 to 239.0.79.254239.0.79.2551,022
21239.0.80.0/22239.0.80.1 to 239.0.83.254239.0.83.2551,022
22239.0.84.0/22239.0.84.1 to 239.0.87.254239.0.87.2551,022
23239.0.88.0/22239.0.88.1 to 239.0.91.254239.0.91.2551,022
24239.0.92.0/22239.0.92.1 to 239.0.95.254239.0.95.2551,022
25239.0.96.0/22239.0.96.1 to 239.0.99.254239.0.99.2551,022
26239.0.100.0/22239.0.100.1 to 239.0.103.254239.0.103.2551,022
27239.0.104.0/22239.0.104.1 to 239.0.107.254239.0.107.2551,022
28239.0.108.0/22239.0.108.1 to 239.0.111.254239.0.111.2551,022
29239.0.112.0/22239.0.112.1 to 239.0.115.254239.0.115.2551,022
30239.0.116.0/22239.0.116.1 to 239.0.119.254239.0.119.2551,022
31239.0.120.0/22239.0.120.1 to 239.0.123.254239.0.123.2551,022
32239.0.124.0/22239.0.124.1 to 239.0.127.254239.0.127.2551,022
33239.0.128.0/22239.0.128.1 to 239.0.131.254239.0.131.2551,022
34239.0.132.0/22239.0.132.1 to 239.0.135.254239.0.135.2551,022
35239.0.136.0/22239.0.136.1 to 239.0.139.254239.0.139.2551,022
36239.0.140.0/22239.0.140.1 to 239.0.143.254239.0.143.2551,022
37239.0.144.0/22239.0.144.1 to 239.0.147.254239.0.147.2551,022
38239.0.148.0/22239.0.148.1 to 239.0.151.254239.0.151.2551,022
39239.0.152.0/22239.0.152.1 to 239.0.155.254239.0.155.2551,022
40239.0.156.0/22239.0.156.1 to 239.0.159.254239.0.159.2551,022
41239.0.160.0/22239.0.160.1 to 239.0.163.254239.0.163.2551,022
42239.0.164.0/22239.0.164.1 to 239.0.167.254239.0.167.2551,022
43239.0.168.0/22239.0.168.1 to 239.0.171.254239.0.171.2551,022
44239.0.172.0/22239.0.172.1 to 239.0.175.254239.0.175.2551,022
45239.0.176.0/22239.0.176.1 to 239.0.179.254239.0.179.2551,022
46239.0.180.0/22239.0.180.1 to 239.0.183.254239.0.183.2551,022
47239.0.184.0/22239.0.184.1 to 239.0.187.254239.0.187.2551,022
48239.0.188.0/22239.0.188.1 to 239.0.191.254239.0.191.2551,022
49239.0.192.0/22239.0.192.1 to 239.0.195.254239.0.195.2551,022
50239.0.196.0/22239.0.196.1 to 239.0.199.254239.0.199.2551,022
51239.0.200.0/22239.0.200.1 to 239.0.203.254239.0.203.2551,022
52239.0.204.0/22239.0.204.1 to 239.0.207.254239.0.207.2551,022
53239.0.208.0/22239.0.208.1 to 239.0.211.254239.0.211.2551,022
54239.0.212.0/22239.0.212.1 to 239.0.215.254239.0.215.2551,022
55239.0.216.0/22239.0.216.1 to 239.0.219.254239.0.219.2551,022
56239.0.220.0/22239.0.220.1 to 239.0.223.254239.0.223.2551,022
57239.0.224.0/22239.0.224.1 to 239.0.227.254239.0.227.2551,022
58239.0.228.0/22239.0.228.1 to 239.0.231.254239.0.231.2551,022
59239.0.232.0/22239.0.232.1 to 239.0.235.254239.0.235.2551,022
60239.0.236.0/22239.0.236.1 to 239.0.239.254239.0.239.2551,022
61239.0.240.0/22239.0.240.1 to 239.0.243.254239.0.243.2551,022
62239.0.244.0/22239.0.244.1 to 239.0.247.254239.0.247.2551,022
63239.0.248.0/22239.0.248.1 to 239.0.251.254239.0.251.2551,022
64239.0.252.0/22239.0.252.1 to 239.0.255.254239.0.255.2551,022
65239.1.0.0/22239.1.0.1 to 239.1.3.254239.1.3.2551,022
66239.1.4.0/22239.1.4.1 to 239.1.7.254239.1.7.2551,022
67239.1.8.0/22239.1.8.1 to 239.1.11.254239.1.11.2551,022
68239.1.12.0/22239.1.12.1 to 239.1.15.254239.1.15.2551,022
69239.1.16.0/22239.1.16.1 to 239.1.19.254239.1.19.2551,022
70239.1.20.0/22239.1.20.1 to 239.1.23.254239.1.23.2551,022
71239.1.24.0/22239.1.24.1 to 239.1.27.254239.1.27.2551,022
72239.1.28.0/22239.1.28.1 to 239.1.31.254239.1.31.2551,022
73239.1.32.0/22239.1.32.1 to 239.1.35.254239.1.35.2551,022
74239.1.36.0/22239.1.36.1 to 239.1.39.254239.1.39.2551,022
75239.1.40.0/22239.1.40.1 to 239.1.43.254239.1.43.2551,022
76239.1.44.0/22239.1.44.1 to 239.1.47.254239.1.47.2551,022
77239.1.48.0/22239.1.48.1 to 239.1.51.254239.1.51.2551,022
78239.1.52.0/22239.1.52.1 to 239.1.55.254239.1.55.2551,022
79239.1.56.0/22239.1.56.1 to 239.1.59.254239.1.59.2551,022
80239.1.60.0/22239.1.60.1 to 239.1.63.254239.1.63.2551,022
81239.1.64.0/22239.1.64.1 to 239.1.67.254239.1.67.2551,022
82239.1.68.0/22239.1.68.1 to 239.1.71.254239.1.71.2551,022
83239.1.72.0/22239.1.72.1 to 239.1.75.254239.1.75.2551,022
84239.1.76.0/22239.1.76.1 to 239.1.79.254239.1.79.2551,022
85239.1.80.0/22239.1.80.1 to 239.1.83.254239.1.83.2551,022
86239.1.84.0/22239.1.84.1 to 239.1.87.254239.1.87.2551,022
87239.1.88.0/22239.1.88.1 to 239.1.91.254239.1.91.2551,022
88239.1.92.0/22239.1.92.1 to 239.1.95.254239.1.95.2551,022
89239.1.96.0/22239.1.96.1 to 239.1.99.254239.1.99.2551,022
90239.1.100.0/22239.1.100.1 to 239.1.103.254239.1.103.2551,022
91239.1.104.0/22239.1.104.1 to 239.1.107.254239.1.107.2551,022
92239.1.108.0/22239.1.108.1 to 239.1.111.254239.1.111.2551,022
93239.1.112.0/22239.1.112.1 to 239.1.115.254239.1.115.2551,022
94239.1.116.0/22239.1.116.1 to 239.1.119.254239.1.119.2551,022
95239.1.120.0/22239.1.120.1 to 239.1.123.254239.1.123.2551,022
96239.1.124.0/22239.1.124.1 to 239.1.127.254239.1.127.2551,022
97239.1.128.0/22239.1.128.1 to 239.1.131.254239.1.131.2551,022
98239.1.132.0/22239.1.132.1 to 239.1.135.254239.1.135.2551,022
99239.1.136.0/22239.1.136.1 to 239.1.139.254239.1.139.2551,022
100239.1.140.0/22239.1.140.1 to 239.1.143.254239.1.143.2551,022
101239.1.144.0/22239.1.144.1 to 239.1.147.254239.1.147.2551,022
102239.1.148.0/22239.1.148.1 to 239.1.151.254239.1.151.2551,022
103239.1.152.0/22239.1.152.1 to 239.1.155.254239.1.155.2551,022
104239.1.156.0/22239.1.156.1 to 239.1.159.254239.1.159.2551,022
105239.1.160.0/22239.1.160.1 to 239.1.163.254239.1.163.2551,022
106239.1.164.0/22239.1.164.1 to 239.1.167.254239.1.167.2551,022
107239.1.168.0/22239.1.168.1 to 239.1.171.254239.1.171.2551,022
108239.1.172.0/22239.1.172.1 to 239.1.175.254239.1.175.2551,022
109239.1.176.0/22239.1.176.1 to 239.1.179.254239.1.179.2551,022
110239.1.180.0/22239.1.180.1 to 239.1.183.254239.1.183.2551,022
111239.1.184.0/22239.1.184.1 to 239.1.187.254239.1.187.2551,022
112239.1.188.0/22239.1.188.1 to 239.1.191.254239.1.191.2551,022
113239.1.192.0/22239.1.192.1 to 239.1.195.254239.1.195.2551,022
114239.1.196.0/22239.1.196.1 to 239.1.199.254239.1.199.2551,022
115239.1.200.0/22239.1.200.1 to 239.1.203.254239.1.203.2551,022
116239.1.204.0/22239.1.204.1 to 239.1.207.254239.1.207.2551,022
117239.1.208.0/22239.1.208.1 to 239.1.211.254239.1.211.2551,022
118239.1.212.0/22239.1.212.1 to 239.1.215.254239.1.215.2551,022
119239.1.216.0/22239.1.216.1 to 239.1.219.254239.1.219.2551,022
120239.1.220.0/22239.1.220.1 to 239.1.223.254239.1.223.2551,022
121239.1.224.0/22239.1.224.1 to 239.1.227.254239.1.227.2551,022
122239.1.228.0/22239.1.228.1 to 239.1.231.254239.1.231.2551,022
123239.1.232.0/22239.1.232.1 to 239.1.235.254239.1.235.2551,022
124239.1.236.0/22239.1.236.1 to 239.1.239.254239.1.239.2551,022
125239.1.240.0/22239.1.240.1 to 239.1.243.254239.1.243.2551,022
126239.1.244.0/22239.1.244.1 to 239.1.247.254239.1.247.2551,022
127239.1.248.0/22239.1.248.1 to 239.1.251.254239.1.251.2551,022
128239.1.252.0/22239.1.252.1 to 239.1.255.254239.1.255.2551,022
129239.2.0.0/22239.2.0.1 to 239.2.3.254239.2.3.2551,022
130239.2.4.0/22239.2.4.1 to 239.2.7.254239.2.7.2551,022
131239.2.8.0/22239.2.8.1 to 239.2.11.254239.2.11.2551,022
132239.2.12.0/22239.2.12.1 to 239.2.15.254239.2.15.2551,022
133239.2.16.0/22239.2.16.1 to 239.2.19.254239.2.19.2551,022
134239.2.20.0/22239.2.20.1 to 239.2.23.254239.2.23.2551,022
135239.2.24.0/22239.2.24.1 to 239.2.27.254239.2.27.2551,022
136239.2.28.0/22239.2.28.1 to 239.2.31.254239.2.31.2551,022
137239.2.32.0/22239.2.32.1 to 239.2.35.254239.2.35.2551,022
138239.2.36.0/22239.2.36.1 to 239.2.39.254239.2.39.2551,022
139239.2.40.0/22239.2.40.1 to 239.2.43.254239.2.43.2551,022
140239.2.44.0/22239.2.44.1 to 239.2.47.254239.2.47.2551,022
141239.2.48.0/22239.2.48.1 to 239.2.51.254239.2.51.2551,022
142239.2.52.0/22239.2.52.1 to 239.2.55.254239.2.55.2551,022
143239.2.56.0/22239.2.56.1 to 239.2.59.254239.2.59.2551,022
144239.2.60.0/22239.2.60.1 to 239.2.63.254239.2.63.2551,022
145239.2.64.0/22239.2.64.1 to 239.2.67.254239.2.67.2551,022
146239.2.68.0/22239.2.68.1 to 239.2.71.254239.2.71.2551,022
147239.2.72.0/22239.2.72.1 to 239.2.75.254239.2.75.2551,022
148239.2.76.0/22239.2.76.1 to 239.2.79.254239.2.79.2551,022
149239.2.80.0/22239.2.80.1 to 239.2.83.254239.2.83.2551,022
150239.2.84.0/22239.2.84.1 to 239.2.87.254239.2.87.2551,022
151239.2.88.0/22239.2.88.1 to 239.2.91.254239.2.91.2551,022
152239.2.92.0/22239.2.92.1 to 239.2.95.254239.2.95.2551,022
153239.2.96.0/22239.2.96.1 to 239.2.99.254239.2.99.2551,022
154239.2.100.0/22239.2.100.1 to 239.2.103.254239.2.103.2551,022
155239.2.104.0/22239.2.104.1 to 239.2.107.254239.2.107.2551,022
156239.2.108.0/22239.2.108.1 to 239.2.111.254239.2.111.2551,022
157239.2.112.0/22239.2.112.1 to 239.2.115.254239.2.115.2551,022
158239.2.116.0/22239.2.116.1 to 239.2.119.254239.2.119.2551,022
159239.2.120.0/22239.2.120.1 to 239.2.123.254239.2.123.2551,022
160239.2.124.0/22239.2.124.1 to 239.2.127.254239.2.127.2551,022
161239.2.128.0/22239.2.128.1 to 239.2.131.254239.2.131.2551,022
162239.2.132.0/22239.2.132.1 to 239.2.135.254239.2.135.2551,022
163239.2.136.0/22239.2.136.1 to 239.2.139.254239.2.139.2551,022
164239.2.140.0/22239.2.140.1 to 239.2.143.254239.2.143.2551,022
165239.2.144.0/22239.2.144.1 to 239.2.147.254239.2.147.2551,022
166239.2.148.0/22239.2.148.1 to 239.2.151.254239.2.151.2551,022
167239.2.152.0/22239.2.152.1 to 239.2.155.254239.2.155.2551,022
168239.2.156.0/22239.2.156.1 to 239.2.159.254239.2.159.2551,022
169239.2.160.0/22239.2.160.1 to 239.2.163.254239.2.163.2551,022
170239.2.164.0/22239.2.164.1 to 239.2.167.254239.2.167.2551,022
171239.2.168.0/22239.2.168.1 to 239.2.171.254239.2.171.2551,022
172239.2.172.0/22239.2.172.1 to 239.2.175.254239.2.175.2551,022
173239.2.176.0/22239.2.176.1 to 239.2.179.254239.2.179.2551,022
174239.2.180.0/22239.2.180.1 to 239.2.183.254239.2.183.2551,022
175239.2.184.0/22239.2.184.1 to 239.2.187.254239.2.187.2551,022
176239.2.188.0/22239.2.188.1 to 239.2.191.254239.2.191.2551,022
177239.2.192.0/22239.2.192.1 to 239.2.195.254239.2.195.2551,022
178239.2.196.0/22239.2.196.1 to 239.2.199.254239.2.199.2551,022
179239.2.200.0/22239.2.200.1 to 239.2.203.254239.2.203.2551,022
180239.2.204.0/22239.2.204.1 to 239.2.207.254239.2.207.2551,022
181239.2.208.0/22239.2.208.1 to 239.2.211.254239.2.211.2551,022
182239.2.212.0/22239.2.212.1 to 239.2.215.254239.2.215.2551,022
183239.2.216.0/22239.2.216.1 to 239.2.219.254239.2.219.2551,022
184239.2.220.0/22239.2.220.1 to 239.2.223.254239.2.223.2551,022
185239.2.224.0/22239.2.224.1 to 239.2.227.254239.2.227.2551,022
186239.2.228.0/22239.2.228.1 to 239.2.231.254239.2.231.2551,022
187239.2.232.0/22239.2.232.1 to 239.2.235.254239.2.235.2551,022
188239.2.236.0/22239.2.236.1 to 239.2.239.254239.2.239.2551,022
189239.2.240.0/22239.2.240.1 to 239.2.243.254239.2.243.2551,022
190239.2.244.0/22239.2.244.1 to 239.2.247.254239.2.247.2551,022
191239.2.248.0/22239.2.248.1 to 239.2.251.254239.2.251.2551,022
192239.2.252.0/22239.2.252.1 to 239.2.255.254239.2.255.2551,022
193239.3.0.0/22239.3.0.1 to 239.3.3.254239.3.3.2551,022
194239.3.4.0/22239.3.4.1 to 239.3.7.254239.3.7.2551,022
195239.3.8.0/22239.3.8.1 to 239.3.11.254239.3.11.2551,022
196239.3.12.0/22239.3.12.1 to 239.3.15.254239.3.15.2551,022
197239.3.16.0/22239.3.16.1 to 239.3.19.254239.3.19.2551,022
198239.3.20.0/22239.3.20.1 to 239.3.23.254239.3.23.2551,022
199239.3.24.0/22239.3.24.1 to 239.3.27.254239.3.27.2551,022
200239.3.28.0/22239.3.28.1 to 239.3.31.254239.3.31.2551,022
201239.3.32.0/22239.3.32.1 to 239.3.35.254239.3.35.2551,022
202239.3.36.0/22239.3.36.1 to 239.3.39.254239.3.39.2551,022
203239.3.40.0/22239.3.40.1 to 239.3.43.254239.3.43.2551,022
204239.3.44.0/22239.3.44.1 to 239.3.47.254239.3.47.2551,022
205239.3.48.0/22239.3.48.1 to 239.3.51.254239.3.51.2551,022
206239.3.52.0/22239.3.52.1 to 239.3.55.254239.3.55.2551,022
207239.3.56.0/22239.3.56.1 to 239.3.59.254239.3.59.2551,022
208239.3.60.0/22239.3.60.1 to 239.3.63.254239.3.63.2551,022
209239.3.64.0/22239.3.64.1 to 239.3.67.254239.3.67.2551,022
210239.3.68.0/22239.3.68.1 to 239.3.71.254239.3.71.2551,022
211239.3.72.0/22239.3.72.1 to 239.3.75.254239.3.75.2551,022
212239.3.76.0/22239.3.76.1 to 239.3.79.254239.3.79.2551,022
213239.3.80.0/22239.3.80.1 to 239.3.83.254239.3.83.2551,022
214239.3.84.0/22239.3.84.1 to 239.3.87.254239.3.87.2551,022
215239.3.88.0/22239.3.88.1 to 239.3.91.254239.3.91.2551,022
216239.3.92.0/22239.3.92.1 to 239.3.95.254239.3.95.2551,022
217239.3.96.0/22239.3.96.1 to 239.3.99.254239.3.99.2551,022
218239.3.100.0/22239.3.100.1 to 239.3.103.254239.3.103.2551,022
219239.3.104.0/22239.3.104.1 to 239.3.107.254239.3.107.2551,022
220239.3.108.0/22239.3.108.1 to 239.3.111.254239.3.111.2551,022
221239.3.112.0/22239.3.112.1 to 239.3.115.254239.3.115.2551,022
222239.3.116.0/22239.3.116.1 to 239.3.119.254239.3.119.2551,022
223239.3.120.0/22239.3.120.1 to 239.3.123.254239.3.123.2551,022
224239.3.124.0/22239.3.124.1 to 239.3.127.254239.3.127.2551,022
225239.3.128.0/22239.3.128.1 to 239.3.131.254239.3.131.2551,022
226239.3.132.0/22239.3.132.1 to 239.3.135.254239.3.135.2551,022
227239.3.136.0/22239.3.136.1 to 239.3.139.254239.3.139.2551,022
228239.3.140.0/22239.3.140.1 to 239.3.143.254239.3.143.2551,022
229239.3.144.0/22239.3.144.1 to 239.3.147.254239.3.147.2551,022
230239.3.148.0/22239.3.148.1 to 239.3.151.254239.3.151.2551,022
231239.3.152.0/22239.3.152.1 to 239.3.155.254239.3.155.2551,022
232239.3.156.0/22239.3.156.1 to 239.3.159.254239.3.159.2551,022
233239.3.160.0/22239.3.160.1 to 239.3.163.254239.3.163.2551,022
234239.3.164.0/22239.3.164.1 to 239.3.167.254239.3.167.2551,022
235239.3.168.0/22239.3.168.1 to 239.3.171.254239.3.171.2551,022
236239.3.172.0/22239.3.172.1 to 239.3.175.254239.3.175.2551,022
237239.3.176.0/22239.3.176.1 to 239.3.179.254239.3.179.2551,022
238239.3.180.0/22239.3.180.1 to 239.3.183.254239.3.183.2551,022
239239.3.184.0/22239.3.184.1 to 239.3.187.254239.3.187.2551,022
240239.3.188.0/22239.3.188.1 to 239.3.191.254239.3.191.2551,022
241239.3.192.0/22239.3.192.1 to 239.3.195.254239.3.195.2551,022
242239.3.196.0/22239.3.196.1 to 239.3.199.254239.3.199.2551,022
243239.3.200.0/22239.3.200.1 to 239.3.203.254239.3.203.2551,022
244239.3.204.0/22239.3.204.1 to 239.3.207.254239.3.207.2551,022
245239.3.208.0/22239.3.208.1 to 239.3.211.254239.3.211.2551,022
246239.3.212.0/22239.3.212.1 to 239.3.215.254239.3.215.2551,022
247239.3.216.0/22239.3.216.1 to 239.3.219.254239.3.219.2551,022
248239.3.220.0/22239.3.220.1 to 239.3.223.254239.3.223.2551,022
249239.3.224.0/22239.3.224.1 to 239.3.227.254239.3.227.2551,022
250239.3.228.0/22239.3.228.1 to 239.3.231.254239.3.231.2551,022
251239.3.232.0/22239.3.232.1 to 239.3.235.254239.3.235.2551,022
252239.3.236.0/22239.3.236.1 to 239.3.239.254239.3.239.2551,022
253239.3.240.0/22239.3.240.1 to 239.3.243.254239.3.243.2551,022
254239.3.244.0/22239.3.244.1 to 239.3.247.254239.3.247.2551,022
255239.3.248.0/22239.3.248.1 to 239.3.251.254239.3.251.2551,022
256239.3.252.0/22239.3.252.1 to 239.3.255.254239.3.255.2551,022

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses